[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.UpdateActive

UpdateActive redraws the control when the active row in the dataset is changed.

## Declaration

Source position: dbgrids.pas line 504

`protected procedure TCustomDBGrid.UpdateActive; virtual;`

## Description

UpdateActive causes the control to be redrawn when the active row in the linked dataset is changed. UpdateActive requires an active dataset in DataLink with a selected record. No actions are performed in the method when the dataset is closed or contains no rows. UpdateActive calls InvalidateCell when the selected row in the control has changed. InvaidateRow is called to update the selected row in the control.